/***************************************************************************
 *            gnc-account.h
 *
 *  mié ene 10 16:58:58 2007
 *  Copyright  2007  Daniel Espinosa Ortiz
 *  esodan@gmail.com
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GNC_ACCOUNT_H
#define GNC_ACCOUNT_H

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define GNC_TYPE_ACCOUNT         (gnc_account_get_type ())
#define GNC_ACCOUNT(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNC_TYPE_ACCOUNT, GncAccount))
#define GNC_ACCOUNT_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), GNC_TYPE_ACCOUNT, GncAccountClass))
#define GNC_IS_ACCOUNT(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNC_TYPE_ACCOUNT))
#define GNC_IS_ACCOUNT_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), GNC_TYPE_ACCOUNT))
#define GNC_ACCOUNT_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), GNC_TYPE_ACCOUNT, GncAccountClass))

typedef struct _GncAccount GncAccount;
typedef struct _GncAccountPrivate GncAccountPrivate;
typedef struct _GncAccountClass GncAccountClass;

struct _GncAccount {
	GncObject parent;
	GncAccountPrivate *priv;
};

struct _GncAccountClass {
	GncObjectClass parent_class;
	/* Add Signal Functions Here */
};

GType gnc_account_get_type();
GncAccount *gnc_account_new();

G_END_DECLS

#endif /* GNC_ACCOUNT_H */
